#include <iostream>

int main() {
    int totalDays;

    std::cout << "Введите количество дней: ";
    std::cin >> totalDays;

    if (totalDays < 0) {
        std::cout << "Пожалуйста, введите неотрицательное количество дней." << std::endl;
        return 1; 
    }

    int weeks = totalDays / 7; 
    int days = totalDays % 7;   

    std::cout << weeks << " неделя(и) и " << days << " день(дней)" << std::endl;

    return 0; 
}

